Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 662281 - Review Request: ghc-file-embed - Use Template Haskell to embed file contents directly
Summary: Review Request: ghc-file-embed - Use Template Haskell to embed file contents ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: notready
Depends On:
Blocks: hledger-web yesod-platform
TreeView+ depends on / blocked
 
Reported: 2010-12-11 05:50 UTC by Ben Boeckel
Modified: 2017-08-24 05:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-24 10:26:40 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2010-12-11 05:50:58 UTC
Spec: http://benboeckel.net/packaging/ghc-file-embed/ghc-file-embed.spec
SRPM: http://benboeckel.net/packaging/ghc-file-embed/
Description:
Use Template Haskell to embed file contents directly.

% lintmock fedora-rawhide-x86_64
ghc-file-embed.src: W: strange-permission file-embed-0.0.3.1.tar.gz 0640L
ghc-file-embed.src: W: strange-permission ghc-file-embed.spec 0640L
ghc-file-embed-prof.x86_64: E: devel-dependency ghc-file-embed-devel
ghc-file-embed-prof.x86_64: W: no-documentation
ghc-file-embed-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/file-embed-0.0.3.1/libHSfile-embed-0.0.3.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 1 Ben Boeckel 2012-03-03 05:25:02 UTC
Spec: http://benboeckel.net/packaging/ghc-file-embed/ghc-file-embed.spec
SRPM: http://benboeckel.net/packaging/ghc-file-embed/ghc-file-embed-0.0.4.1-1.fc18.src.rpm

ghc-file-embed.src: W: strange-permission file-embed-0.0.4.1.tar.gz 0640L
ghc-file-embed.src: W: strange-permission ghc-file-embed.spec 0640L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Jens Petersen 2013-06-24 10:26:40 UTC
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.